cURL
curl --request DELETE \
--url https://api.recoupable.dev/api/organizations/domains \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.dev/api/organizations/domains"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.dev/api/organizations/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}Organizations
Remove Organization Domain
Remove an email domain mapping from an organization. New signups at this domain will no longer auto-join the organization; existing members are not affected. This endpoint is idempotent.
DELETE
/
api
/
organizations
/
domains
cURL
Authorizations
apiKeyAuthbearerAuth
Your Recoup API key. Learn more.
Query Parameters
The account ID of the organization
The email domain to unmap (e.g. "seekermusic.com")
Response
Domain mapping removed (or did not exist)
Status of the request
Available options:
success Was this page helpful?
⌘I
